# ManyToManyLinkedFull Class Reference
[IdentifiableObject collections handlers]

Inheritance diagram for ManyToManyLinkedFull:
[legend]

List of all members.

## Public Member Functions

| sync ($insert, $update=array(), $delete)
| makeFetchQuery ()

## Detailed Description

Definition at line 15 of file ManyToManyLinkedFull.class.php.

## Member Function Documentation

ManyToManyLinkedFull::makeFetchQuery | ( |  | ) |

Returns:
  SelectQuery

Reimplemented from UnifiedContainerWorker.

Definition at line 56 of file ManyToManyLinkedFull.class.php.

References ManyToManyLinkedWorker::joinHelperTable(), and UnifiedContainerWorker::makeSelectQuery().

Here is the call graph for this function:

ManyToManyLinkedFull::sync | ( | $ | insert,
|  | $ | update = `array()`,
|  | $ | delete |
| ) |  |  |

Returns:
  ManyToManyLinkedFull

Reimplemented from UnifiedContainerWorker.

Definition at line 20 of file ManyToManyLinkedFull.class.php.

References DBPool::getByDao(), ManyToManyLinkedWorker::makeDeleteQuery(), and ManyToManyLinkedWorker::makeInsertQuery().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/UnifiedContainer/ManyToManyLinkedFull.class.php